MWAWSpreadsheetListener.cxx File Reference

Implements MWAWSpreadsheetListener: the libmwaw spreadsheet processor listener. More...

`#include <cmath>`
`#include <cstring>`
`#include <iomanip>`
`#include <sstream>`
`#include <time.h>`
`#include <librevenge/librevenge.h>`
`#include "libmwaw_internal.hxx"`
`#include "MWAWCell.hxx"`
`#include "MWAWChart.hxx"`
`#include "MWAWFont.hxx"`
`#include "MWAWFontConverter.hxx"`
`#include "MWAWGraphicListener.hxx"`
`#include "MWAWGraphicStyle.hxx"`
`#include "MWAWGraphicShape.hxx"`
`#include "MWAWInputStream.hxx"`
`#include "MWAWList.hxx"`
`#include "MWAWPageSpan.hxx"`
`#include "MWAWParagraph.hxx"`
`#include "MWAWParser.hxx"`
`#include "MWAWPosition.hxx"`
`#include "MWAWSection.hxx"`
`#include "MWAWSubDocument.hxx"`
`#include "MWAWTable.hxx"`
`#include "MWAWSpreadsheetListener.hxx"`

## Classes
struct | MWAWSpreadsheetListenerInternal::DocumentState
| a class to store the document state of a MWAWSpreadsheetListener More...
struct | MWAWSpreadsheetListenerInternal::State
| the state of a MWAWSpreadsheetListener More...

## Namespaces
namespace | MWAWSpreadsheetListenerInternal
| Internal and low level namespace to define the states of MWAWSpreadsheetListener.

## Enumerations
enum | { MWAWSpreadsheetListenerInternal::PageBreakBit =0x1 , MWAWSpreadsheetListenerInternal::ColumnBreakBit =0x2 }
| a enum to define basic break bit More...

## Detailed Description

Implements MWAWSpreadsheetListener: the libmwaw spreadsheet processor listener.

Note
  this class is the only class which does the interface with the librevenge::RVNGSpreadsheetInterface